/**
 *  @file mybug.h
 *
 *  @brief Declaration of MyBug.
 *
 *  This file contains the declaration of class MyBug, used to
 *  demonstrate the DoxyGen "double assignment to group" bug.
 */

#ifndef MYBUG_H
#define MYBUG_H

/**
 *  @addtogroup BugGroup
 *  @{
 */

/**
 *  @class  MyBug    mybug.h    "mybug.h"
 *
 *  @brief  Bug test class.
 *
 *  This class demonstrates the DoxyGen "double assignment to group" bug.
 */
class MyBug
{
public:
                MyBug(int value, const char *name);
    virtual    ~MyBug();

    int         value() const;
    const char *name() const;

private:
    int         value_;  /**< Value of object. */
    char       *name_;   /**< Name of object.  */
};

/**
 *  @}
 */

#endif  /* MYBUG_H */

/*
 *  End of file: mybug.h
 */
